#include <X11/keysym.h>
#include "keys.h"

namespace Msp {
namespace Input {

unsigned sys_keymap[N_KEYS_]=
{
	0, 0, 0, 0, 0, 0, 0, 0,
	XK_BackSpace, XK_Tab, XK_Return, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, XK_Escape, 0, 0, 0, 0,

	XK_space, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, XK_plus, XK_comma, XK_minus, XK_period, XK_slash,
	XK_0, XK_1, XK_2, XK_3, XK_4, XK_5, XK_6, XK_7,
	XK_8, XK_9, 0, XK_semicolon, XK_less, XK_equal, 0, 0,

	0, XK_a, XK_b, XK_c, XK_d, XK_e, XK_f, XK_g,
	XK_h, XK_i, XK_j, XK_k, XK_l, XK_m, XK_n, XK_o,
	XK_p, XK_q, XK_r, XK_s, XK_t, XK_u, XK_v, XK_w,
	XK_x, XK_y, XK_z, XK_bracketleft, XK_backslash, XK_bracketright, 0, 0,

	XK_grave, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,

	XK_adiaeresis, XK_odiaeresis, XK_udiaeresis, XK_aring, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,

	XK_Left, XK_Right, XK_Up, XK_Down, 0, 0, 0, 0,
	XK_Home, XK_End, XK_Page_Up, XK_Page_Down, XK_Insert, XK_Delete, 0, 0,
	XK_F1, XK_F2, XK_F3, XK_F4, XK_F5, XK_F6, XK_F7, XK_F8,
	XK_F9, XK_F10, XK_F11, XK_F12, 0, 0, 0, 0,

	XK_Shift_L, XK_Shift_R, XK_Control_L, XK_Control_R, XK_Alt_L, XK_Alt_R, XK_Super_L, XK_Super_R,
	XK_Caps_Lock, XK_Scroll_Lock, XK_Num_Lock, 0, 0, 0, 0, 0,
	XK_KP_0, XK_KP_1, XK_KP_2, XK_KP_3, XK_KP_4, XK_KP_5, XK_KP_6, XK_KP_7,
	XK_KP_8, XK_KP_9, XK_KP_Add, XK_KP_Subtract, XK_KP_Multiply, XK_KP_Divide, XK_KP_Separator, 0,

	XK_Pause, XK_Print, XK_Menu, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
	0, 0, 0, 0, 0, 0, 0, 0,
};

} // namespace Input
} // namespace Msp
